class_name RootUI extends Control

@export var debugMenu:DebugMenu
@export var textBox:VNTextbox
@export var gameMenu:GameMenu
@export var pauseMenu:PauseMenu

func _enter_tree() -> void:
  UI.rootUi = self

func _exit_tree() -> void:
  if UI.rootUi == self:
    UI.rootUi = null
